import { Logger } from "lfd-utils";
import { GeneratorName, GeneratorConfig, TypesGeneratorExport, ClientGeneratorExport, SupportedConfigExtension } from "./types.js";
export declare const AUTO_GENERATED_COMMENT: string;
export declare const OPERATION_DATA_AUTO_GENERATED_COMMENT: string;
export declare const PACKAGE_NAME = "lfd-graphql-client";
export declare const PACKAGE_FULL_NAME = "LFD GraphQL Client";
export declare const TO_REMOVE_STRING = "|_|";
export declare const TO_REMOVE_DELIMITER = "\\|\\_\\|";
export declare const WHAT_TO_REMOVE = "\\\"\\'";
export declare const logger: typeof Logger;
export declare const RECURSION_WARNING_THREHSOLD = 2;
export declare const INPUT_RECURSION_LIMIT = 1;
export declare const DEFAULT_CONFIG: GeneratorConfig;
export declare const REGEX: {
    match_first_word: RegExp;
    match_words: RegExp;
    match_word: RegExp;
    whitespace_and_bracket: RegExp;
    match_whitespace: RegExp;
    match_equals_whitesapce_and_bracket: RegExp;
    match_single_quotes: RegExp;
    match_double_quotes: RegExp;
    match_colon: RegExp;
    match_artefacts: RegExp;
    match_artefact: RegExp;
    match_to_remove_string: RegExp;
    match_word_in_single_quotes: RegExp;
    match_enum_name: RegExp;
    match_class_name: RegExp;
    match_interface_name: RegExp;
    match_type_name: RegExp;
    match_const_name: RegExp;
    match_let_name: RegExp;
    match_var_name: RegExp;
    match_all_typescript_multiline_comments: RegExp;
    match_all_inside_import_brackets: RegExp;
    match_all_outside_import_brackets: RegExp;
    match_from_import: RegExp;
    match_file_extension: RegExp;
    match_dash: RegExp;
    match_file_path: RegExp;
    match_closing_brackets: RegExp;
    match_one_colon: RegExp;
    match_comment_or_literal_char: RegExp;
    match_back_slash: RegExp;
    match_new_line: RegExp;
    match_class: (className: string) => RegExp;
    match_exact_type: (exactTypeName: string) => RegExp;
};
export declare const DEFAULT_CONFIG_NAME_VARIATIONS: unknown[];
export declare const SUPPORTED_CONFIG_EXTENSIONS: Record<SupportedConfigExtension, string>;
export declare const TYPE_FILES_TO_READ: string[];
export declare const SUPPORTED_CONFIG_EXTENSION_VARIATIONS: string[];
export declare const DEFAULT_CONFIG_PATHS: string[];
export declare const DEFAULT_ENV_NAMES: string[];
export declare const DEFAULT_ENV_SUBS: {
    name: string;
    value: string;
}[];
export declare const GENERATORS: Record<GeneratorName, GeneratorName>;
export declare const GRAPHQL_ROOT_OPERATIONS: string[];
export declare const RESPONSE_ENDINGS: string[];
export declare const TYPES_GENERATOR_DIRS: Record<TypesGeneratorExport, string>;
export declare const CLIENT_GENERATOR_DIRS: Record<ClientGeneratorExport, string>;
export declare const DEV_PACKAGES: never[];
export declare const PRIMITIVES: string[];
export declare const CONFIG_NAMES_TO_IGNORE: string[];
