import { GeneratorConfig, GeneratorData, TypesGeneratorExport } from "../types.js";
export declare const run_parser: (raw_sdl: string, data: GeneratorData) => Promise<void>;
export declare const gen_import_data: (data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const gen_enums: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_inputs: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_interfaces: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_objects: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_operations: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_outputs: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_scalars: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const gen_unions: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
export declare const create_enum_files: (enums: string[] | null, data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_input_files: (inputs: string[] | null, data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_interfaces_files: (interfaces: string[] | null, data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_object_files: (objects: string[] | null, data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_operation_files: (operations: string[] | null, data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_outputs_files: (outputs: string[] | null, data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_scalars_files: (scalars: string[] | null, data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_unions_files: (unions: string[] | null, data: GeneratorData, config: GeneratorConfig) => Promise<void>;
export declare const create_types_generator_index_file: (exports: TypesGeneratorExport[], config: GeneratorConfig) => Promise<void>;
