import { FieldArgumentData, FieldData } from "simple-wasm-graphql-parser";
import { GeneratorConfig, GeneratorData } from "../types.js";
export declare const gen_fields_with_response_as_type: (fields: FieldData[], add_imports_to: string, data: GeneratorData, config: GeneratorConfig) => Promise<string>;
export declare const gen_fields_with_args_as_type: (fields: FieldData[], add_imports_to: string, indent: number, data: GeneratorData, config: GeneratorConfig) => Promise<string>;
/**
 * Helper function used in gen_data_fields to merge objects types from a union
 * @param base_obj Object to marge to
 * @param to_merge Object to merge
 */
export declare const merge_objects_recursively: (base_obj: Record<string, any>, to_merge: Record<string, any>) => Promise<void>;
/**
 * Recursively iterate a type's fields. Basically returns an object where keys are field names and values are null if the field is not an object, but if it is, then the value is the result of recursively doing the same on that field
 * @param field
 * @param add_imports_to
 * @param type_name
 * @param recursion
 * @param data
 * @param config
 * @returns
 */
export declare const gen_data_fields: (field: FieldData | FieldArgumentData, add_imports_to: string, recursion: number, recursion_limit: number, data_field: "output_types" | "output_selection_sets" | "input_selection_sets" | "input_types", data: GeneratorData, config: GeneratorConfig, type_override?: string) => Promise<boolean | {
    [k: string]: string | boolean | object | undefined;
    __typename?: string | boolean | undefined;
    fields?: object | undefined;
}>;
export declare const gen_primitive_object_types: (data: GeneratorData, config: GeneratorConfig) => Promise<string[]>;
